Skip to main content
GET
Get an AI code review

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

review_id
string<uuid>
required

Response

Successful Response

One AI pull request review in full.

id
string<uuid>
required
provider
enum<string>
required
Available options:
github,
gitlab,
bitbucket_cloud
repo_owner
string
required
repo_name
string
required
pull_request_number
integer
required
pull_request_title
string
required
pull_request_url
string
required
head_sha
string
required
verdict
enum<string>
required
Available options:
approve,
comment,
request_changes
summary
string
required
model
string
required
created_at
string<date-time>
required
findings
CodeReviewFinding · object[]
required
findings_unreadable
boolean
required

True when the stored findings could not be read: findings is then empty because nothing could be read, not because the review raised nothing.